org.aspectj.lang.reflect

## Interface TypePattern

All Known Implementing Classes:
  TypePatternImpl

    public interface TypePattern

AspectJ runtime representation of a type pattern as used in member declarations such as declare parents.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `asString()`

### Method Detail

#### asString

    String asString()

Returns:
  a string representation of the pattern